Subject: [bug#33783] [PATCH] gnu: sqlite: Replace with 3.26.0 [security fixes].

From: Alex Vong <[email-masked]>
Date: Wed, 19 Dec 2018 14:20:30 +0800

Mark H Weaver <[email-masked]> writes:

> Actually, there's one small problem with the patch: you should not use
> 'package/inherit' to define the replacement itself.  That leads to a
> circular definition and an infinite series of replacements.  I guess
> the
> grafting machinery copes with this somehow, but I'd prefer to avoid
> it.
>
I thought 'package/inherit' is a generalization of the previous
construct, but as you pointed out, it is not.

> I will soon push a slightly modified version of this patch.
>
OK!

>       Mark

Cheers,
Alex